indexing
   title:       "Simple Timestamp"
   cluster:     "timedate/sig [timedate/sig]";
   project:     "The Universal Time & Date UTDC";
   copyright:   "SIG Computer, 1995";
   author:      "Alexei Simonov (alex@eiffel.ru)";
   approved_by: "Frieder Monninger";
   original:    22,Sep,95
   version:     1.0
   done_at:     "SIG Computer (info@eiffel.ru)";
   license:     "GNU Library GPL - see included readme file";
   extrnl_name: "simp_tim.e";

deferred class SIMPLE_TIMESTAMP

   inherit
      COMPARABLE
         redefine
            infix "<"
         end

      TIME_SERVER

   feature -- commands  

      clear is

         deferred
         end -- clear     

      set_to_now is

         deferred
         end -- set_to_now

   feature -- Queries   

      infix "<" ( ts : like CURRENT ) : BOOLEAN is

         deferred
         end -- infix "<" 

      difference( t : like CURRENT ) : SIMPLE_DURATION is

         deferred
         end -- difference

      infix "+", 
      plus( d : like DIFFERENCE ) :  like CURRENT is

         deferred
         end -- infix "+", plus

      infix "-", 
      minus( d : like DIFFERENCE ) :  like CURRENT is

         deferred
         end -- infix "-", minus     

   end -- class SIMPLE_TIMESTAMP          
